Notus API
Liquidity pools

Get Pool Historical Data

Get detailed historical data for a specific pool including volume and fees over time

GET
/api/v1/liquidity/pools/{id}/historical-data

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

id*string

The unique identifier of the pool

Length1 <= length

Query Parameters

rangeInDays?integer

Number of days to look back for statistics (maximum 365 days)

Range0 < value <= 365
Default30
groupByInterval?string

Interval for grouping pool statistics. HOURLY, DAILY, WEEKLY, MONTHLY or YEARLY

Default"DAILY"

Value in

  • "HOURLY"
  • "DAILY"
  • "WEEKLY"
  • "MONTHLY"
  • "YEARLY"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/liquidity/pools/137-0x4CcD010148379ea531D6C587CfDd60180196F9b1/historical-data"
{  "statistics": {    "rangeInDays": 30,    "groupByInterval": "DAILY",    "poolId": "137-0x4CcD010148379ea531D6C587CfDd60180196F9b1",    "items": [      {        "timestamp": 1678900000000,        "volumeInUSD": "15000.50",        "feesInUSD": "750.25",        "closeInUSD": "0.00036046617504367228",        "highInUSD": "0.00038494169673061318",        "lowInUSD": "0.00035904368570694481",        "totalValueLockedInUSD": "500000.75",        "token0PriceInToken1": "1.25",        "token1PriceInToken0": "1.25"      }    ]  }}